package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.RefrreresRepository;
import com.realnet.vpspack.Entity.Refrreres
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class RefrreresService {
@Autowired
private RefrreresRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Refrreres Savedata(Refrreres data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Refrreres save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Refrreres> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Refrreres> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Refrreres> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Refrreres getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Refrreres update(Refrreres data,Integer id) {
	Refrreres old = Repository.findById(id).get();
old.setCompany(data.getCompany());

old.setFirst_name(data.getFirst_name());

old.setLast_name(data.getLast_name());

old.setRefferere_report_line(data.getRefferere_report_line());

final Refrreres test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
